/* Crazy Crane */

BOOL GraphicsLoad(char *filepath);
void GraphicsDispose(void);
void BlitBackground(void);
void BlitTitleGfx(void);
void BlitLetter(UBYTE letter, UWORD x, UWORD y, BOOL pressed);
void ClearLetter(UWORD x, UWORD y);
void AnimCurtainUp(void);
void AnimWordDrop(void);
void GenerateAnimColumnDown(UWORD x, UWORD y, UWORD delta, UWORD letter);
void PerformAnimColumnDown(UWORD x, UWORD y, UWORD delta, UWORD letter);
void GenerateAnimBarQuake(UWORD row);
void PerformAnimBarQuake(UWORD x, UWORD y, UWORD delta, UWORD row);

#if 0
//void BlitString(struct Window *win, struct GameGraphics *ggfx, char *string, WORD x, WORD y, LONG len, BOOL pressed);
void BarQuake(struct Window *win, struct GameGraphics *ggfx, UWORD *fields, UWORD bar_num);
void FadeToBackground(struct Window *win, struct GameGraphics *ggfx);
#endif


#define FF_LETTERMASK 0x00FF                             // strips flags from letter
#define FF_CLICKABLE  0x0100                             // the field may be currently clicked
#define FF_CLICKED    0x0200                             // the field is drawn as clicked
