/* Crazy Crane */

#include "main.h"

#include <dos/dos.h>

struct Library *SysBase;
struct Library *DOSBase;

struct ExecIFace *IExec;
struct DOSIFace *IDOS;
APTR CrazyPool;

/*----------------------------------------------------------------------------*/
/*----------------------------------------------------------------------------*/
/*----------------------------------------------------------------------------*/

LONG _start(UNUSED STRPTR argstring, UNUSED LONG arglen, struct ExecBase *sysbase)
{
	struct Process *myproc = 0;
	struct Message *wbmessage = 0;
	BOOL have_shell = FALSE;
	LONG return_code = RETURN_OK;

	SysBase = (struct Library*)sysbase;
	IExec = (struct ExecIFace*)sysbase->MainInterface;

	if (CrazyPool = CreatePool(MEMF_ANY, 16384, 16384))
	{
		if (DOSBase = OpenLibrary("dos.library", 0))
		{
			myproc = (struct Process*)FindTask(0);

			if (IDOS = (struct DOSIFace*)GetInterface(DOSBase, "main", 1, NULL))
			{
				if (myproc->pr_CLI) have_shell = TRUE;

				if (!have_shell)
				{
					WaitPort(&myproc->pr_MsgPort);
					wbmessage = GetMsg(&myproc->pr_MsgPort);
				}

				return_code = Main((struct WBStartup*)wbmessage);
				DropInterface((struct Interface*)IDOS);
			}
			CloseLibrary(DOSBase);
		}
		else return_code = RETURN_FAIL;

		DeletePool(CrazyPool);
	}
	else return_code = RETURN_FAIL;

	if (wbmessage)
	{
		ReplyMsg(wbmessage);
	}
	return return_code;
}


const char VString[] = VSTRING;
